Summary: TI NSP base filesystem
Name: TI_Linux-target-TI_base_nsp_filesystem
Version: 0.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: TI_base_filesystem_nsp_%{version}.orig.tar.gz
Group: Filesystem

%define pkgname ti_linux-%{_hhl_target_arch}-TI_base_filesystem
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
TI NSP base filesystem components

%package -n %{pkgname}
Summary: TI NSP base filesystem
Group: Filesystem
AutoReqProv: no
%description -n %{pkgname}
TI base filesystem components

%prep
%target_check
%setup -q -n TI_base_filesystem_nsp_%{version}

%build

%install
install -m 0755 -d %{TI_filesystem_path}/etc
install -m 0755 -d %{TI_filesystem_path}/etc/init.d
install -m 0755 -d %{TI_filesystem_path}/etc/ppp
install -m 0755 -d %{TI_filesystem_path}/etc/udhcpc
install -m 0755 -d %{TI_filesystem_path}/etc/dropbear
install -m 0755 -d %{TI_filesystem_path}/bin
install -m 0755 -d %{TI_filesystem_path}/lib
install -m 0755 -d %{TI_filesystem_path}/lib/modules
install -m 0755 -d %{TI_filesystem_path}/sbin
install -m 0755 -d %{TI_filesystem_path}/usr
install -m 0755 -d %{TI_filesystem_path}/usr/sbin
install -m 0755 -d %{TI_filesystem_path}/usr/bin
install -m 0755 -d %{TI_filesystem_path}/usr/lib
install -m 0755 -d %{TI_filesystem_path}/usr/share
install -m 0755 -d %{TI_filesystem_path}/usr/share/udhcpc
install -m 0711 -d %{TI_filesystem_path}/usr/www
install -m 0711 -d %{TI_filesystem_path}/usr/www/cgi-bin
install -m 0711 -d %{TI_filesystem_path}/usr/www/html
install -m 0755 -d %{TI_filesystem_path}/dev
install -m 0755 -d %{TI_filesystem_path}/proc
install -m 0755 -d %{TI_filesystem_path}/var
install -m 0755 -d %{TI_filesystem_path}/var/cache
install -m 0755 -d %{TI_filesystem_path}/var/lock
install -m 0755 -d %{TI_filesystem_path}/var/log
install -m 0755 -d %{TI_filesystem_path}/var/run
install -m 0755 -d %{TI_filesystem_path}/var/tmp
install -m 0755 -d %{TI_filesystem_path}/var/lib
install -m 0755 -d %{TI_filesystem_path}/var/lib/misc
install -m 0644 ./gateways      %{TI_base}%{TI_vardir}/tmp/.
install -m 0644 ./resolv.conf   %{TI_base}%{TI_vardir}/tmp/.
install -m 0644 ./udhcpd.leases %{TI_base}%{TI_vardir}/lib/misc/.
install -m 0644 ./dproxy.cache  %{TI_base}%{TI_vardir}/cache/.
install -m 0644 ./hosts         %{TI_base}%{TI_vardir}/tmp/.
install -m 0644 ./udhcpd.conf   %{TI_base}%{TI_vardir}/tmp/.
install -m 0644 ./etc/fstab     %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/group     %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/host.conf %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/inittab   %{TI_base}%{TI_etcdir}/.
#install -m 0644 ./etc/passwd    %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/protocols %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/securetty %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/services  %{TI_base}%{TI_etcdir}/
#install -m 0644 ./etc/shadow    %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/shells    %{TI_base}%{TI_etcdir}/.
install -m 0755 ./etc/init.d/rcS  %{TI_base}%{TI_etcdir}/init.d/.
install -m 0600 ./etc/dropbear/dropbear_dss_host_key  %{TI_base}%{TI_etcdir}/dropbear/.
install -m 0600 ./etc/dropbear/dropbear_rsa_host_key  %{TI_base}%{TI_etcdir}/dropbear/.
install -m 0644 ./etc/led_ar5d01.conf    %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/led_ar5w01.conf    %{TI_base}%{TI_etcdir}/.
install -m 0644 ./etc/led_ar7rd.conf    %{TI_base}%{TI_etcdir}/.
install -m 0755 ./etc/firewall_start  %{TI_base}%{TI_etcdir}/.
install -m 0755 ./etc/firewall_stop  %{TI_base}%{TI_etcdir}/.
install -m 0755 ./etc/flush_firewall  %{TI_base}%{TI_etcdir}/.
#Hunter, 040218 revise for DOS LOG {
install -m 0711 ./etc/klogd     %{TI_base}%{TI_etcdir}/.
#Hunter, 040218 revise for DOS LOG }

(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/gateways gateways)
(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/resolv.conf resolv.conf)
(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/hosts hosts)
(cd  %{TI_base}%{TI_etcdir}/udhcpc; ln -sf ../resolv.conf resolv.conf)
(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/udhcpd.conf udhcpd.conf)
(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/passwd passwd)
(cd  %{TI_base}%{TI_etcdir}; ln -sf ../var/tmp/shadow shadow)

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_vardir}/tmp/gateways
%{TI_vardir}/tmp/resolv.conf
%{TI_vardir}/tmp/hosts
%{TI_vardir}/tmp/udhcpd.conf
%{TI_vardir}/lib/misc/udhcpd.leases
%{TI_vardir}/cache/dproxy.cache
%{TI_etcdir}/fstab
%{TI_etcdir}/group
%{TI_etcdir}/host.conf
%{TI_etcdir}/inittab
#%{TI_etcdir}/passwd
%{TI_etcdir}/protocols
%{TI_etcdir}/securetty
%{TI_etcdir}/services
#%{TI_etcdir}/shadow
%{TI_etcdir}/shells
%{TI_etcdir}/init.d/rcS
%{TI_etcdir}/dropbear/dropbear_dss_host_key
%{TI_etcdir}/dropbear/dropbear_rsa_host_key
%{TI_etcdir}/led_ar5d01.conf
%{TI_etcdir}/led_ar5w01.conf
%{TI_etcdir}/led_ar7rd.conf
%{TI_etcdir}/firewall_start
%{TI_etcdir}/firewall_stop
%{TI_etcdir}/flush_firewall


%changelog
* Tue Jul 15 2003 (Denys Dmytriyenko <denys@ti.com>)
- /etc/hosts moved to /var/tmp
* Wed Jul 02 2003 (Mukesh Kumar <mkumar@telogy.com>)
- AR7RD specific led configuration file
* Fri Apr 11 2003 (Michael Hassler <mhassler@ti.com>)
- led specific configuration files
* Sat Feb 15 2003 (Marian Stagarescu <marian@ti.com>)
- added firewall modules scripts 
* Wed Oct 10 2002 (Marian Stagarescu <marian@ti.com>)
- default proc entries: vm/pagetable_cache, ipv4/accept_source_route
  ipv4/icmp_echo_ignore_broadcasts, /etc/gateways for routed/rip 
* Tue Aug 21 2002 (Marian Stagarescu <m-stagarescu2@ti.com>)
- moved config files (resolv.conf, udhcp) to var from cramfs
* Tue Jul 16 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of TI base filesystem





