Summary: SSH 2 server
Name: TI_Linux-target-dropbear
Version: 0.38
Vendor: Texas Instruments
Release: TI%{TI_release_version}
URL: http://matt.ucc.asn.au/dropbear/dropbear.html
Copyright: distributable (MIT)
Source0: dropbear-%{version}.orig.tar.gz

%define TI_patch_date 10_27_03

Patch0: dropbear_%{version}-%{TI_patch_date}.diff.gz

Group: Networking

%define pkgname ti_linux-%{_hhl_target_arch}-dropbear
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description

%package -n %{pkgname}
Summary: SSH
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}

%prep
%target_check
%setup -q -n dropbear-%{version}
%patch -p1 -P 0

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
./configure --disable-zlib --disable-lastlog --disable-utmp --disable-utmpx --disable-wtmp --disable-wtmpx --disable-pututline --disable-pututxline  --prefix=/usr --build=i386-linux --host=mipsel-linux
%make
%make strip

%install
export PATH=%{TI_uclibc_path}:$PATH
%make -i prefix=%{TI_base}%{TI_rusrdir} install 


%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_sbindir}/dropbear

%changelog
* Wed Oct 08 2003 (Marian Stagarescu <marian@ti.com>)
- Initial packaging of dropbear





