Summary: Memory technology Device utilties
Name: TI_Linux-target-mtd
Version: 20020722
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: mtd-%{version}.orig.tar.gz
Group: System Environment/Daemons

%define pkgname ti_linux-%{_hhl_target_arch}-mtd
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
Memory Technology Device (MTD) utilities

%package -n %{pkgname}
Summary: A DHCP relay agent
Group: System Environment/Daemons
AutoReqProv: no
%description -n %{pkgname}
Memory Technology Device (MTD) utilities

%prep
%target_check
%setup -q -n mtd-%{version}
ln -s ./include/linux/zlib.h ./include/zlib.h



%build
cd util
%make KERNEL_DIR=%{TI_kernel_path}/%{TI_kernel_version}

%install
install -m 0755 util/mkfs.jffs2 %{TI_tools_path}/bin
install -m 0755 util/erase %{TI_tools_path}/bin
install -m 0755 util/eraseall %{TI_tools_path}/bin
install -m 0755 util/unlock %{TI_tools_path}/bin
install -m 0755 util/lock %{TI_tools_path}/bin

%clean
rm -rf *

%files 
%defattr(-,root,root)
/tools/bin/mkfs.jffs2
/tools/bin/erase
/tools/bin/eraseall
/tools/bin/unlock
/tools/bin/lock


%changelog
* Tue Jul 23 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of mtd utilities





