Summary: ppp-2.4.1 pppd package
Name: TI_Linux-target-pppd
Version: 2.4.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source0: ppp-2.4.1.pppoe4.orig.tar.gz

%define TI_patch_date 09_15_02
%define TI_patch_date1 02_27_03
%define TI_patch_date2 03_04_03
%define TI_patch_date3 03_19_03
%define TI_patch_date4 03_27_03
%define TI_patch_date5 04_04_03
%define TI_patch_date6 08_12_03
%define TI_patch_date7 10_09_03



Patch0: ppp_%{version}-%{TI_patch_date}.diff.gz
Patch1: ppp_%{version}-%{TI_patch_date1}.diff.gz
Patch2: ppp_%{version}-%{TI_patch_date2}.diff.gz
Patch3: ppp_%{version}-%{TI_patch_date3}.diff.gz
Patch4: ppp_%{version}-%{TI_patch_date4}.diff.gz
Patch5: ppp_%{version}-%{TI_patch_date5}.diff.gz
Patch6: ppp_%{version}-%{TI_patch_date6}.diff.gz
Patch7: ppp_%{version}-%{TI_patch_date7}.diff.gz


License: GPL
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-pppd
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
Provides pppd, pppoe, and pppoAtm

%package -n %{pkgname}
Summary: pppd-2.4.1 pppd package
Group: net 
AutoReqProv: no
%description -n %{pkgname}
Provides pppd, pppoe, and pppoAtm

%prep
%target_check
%setup -q -n ppp-%{version}.pppoe4.orig
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
%patch -p1 -P 4
%patch -p1 -P 5
%patch -p1 -P 6 
%patch -p1 -P 7

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
gcc -v
CFLAGS="-Os -Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline" ./configure 
%make


%install
export PATH=%{TI_uclibc_path}:$PATH
strip -s pppd/pppd
install -s -m 0755 pppd/pppd %{TI_base}%{TI_sbindir}/.
install -s -m 0755 pppd/plugins/libpppoatm.so %{TI_base}%{TI_rlibdir}/.
install -s -m 0755 pppd/plugins/pppoe/libpppoe.so %{TI_base}%{TI_rlibdir}/.
mkdir -p  %{TI_base}%{TI_etcdir}/ppp
cd %{TI_base}%{TI_etcdir}/ppp
ln -sf ../resolv.conf resolv.conf

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_sbindir}/pppd
%{TI_rlibdir}/libpppoatm.so
%{TI_rlibdir}/libpppoe.so


%changelog
* Thu Oct 09 2003 (Qui Le <qle@telogy.com)
- Added configurable CDVT and MBS parameters and traffic class for QoS
* Tue Aug 12 2003 (Jeff Angielski <jeff@theptrgroup.com)
- Added _DISABLE_SERIAL_ definition to disable the code associated with
- the physical serial port.
* Fri Apr 04 2003 (Qui Le <qle@telogy.com)
- Made qos as optional parameter with UBR as default
* Thu Mar 27 2003 (Qui Le <qle@telogy.com)
- Added configurable PCR and SCR parameters and traffic class for QoS
* Wed Mar 19 2003 (Qui Le <qle@telogy.com)
- Send LCP terminate message to provider to end session
* Tue Mar 04 2003 (Qui Le <qle@telogy.com)
- Took out hack to check for DSL SHOWTIME before pppd starts
* Thu Feb 27 2003 (Qui Le <qle@telogy.com)
- Forced default route entry for multiple pppd session
- Changes to skip hostname/local ip resolve.
* Sun Sep 15 2002 (Marian Stagarescu <mstagarescu@telogy.com)
- changed pppoa to set CBR rather than UBR (for pdsp 69d fw)
* Fri Sep 12 2002 (Snehaprabha N <nsnehaprabha@telogy.com)
- added disconnect, cleanup and close routines for PPPOE
* Fri Sep 06 2002 (Snehaprabha N <nsnehaprabha@telogy.com)
- added disconnect, cleanup and close routines for PPPOA
* Sun Jul 14 2002 (Marian Stagarescu <m-stagarescu2@ti.com>)
- hack to check DSL SHOWTIME before starting pppd
* Sun Jul 14 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of ppp
