Summary: Squashed filesystem
Name: TI_Linux-target-squashfs
Version: 2.4.17
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: squashfs-%{version}.orig.tar.gz
Group: tools

%define pkgname ti_linux-%{_hhl_target_arch}-squashfs
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
Squashed filesystem

%package -n %{pkgname}
Summary: Squashed filesystem utility
Group: System Environment/Daemons
AutoReqProv: no
%description -n %{pkgname}
Squashed filesystem utility. 

%prep
%target_check
%setup -q -n squashfs-%{version}

%build
%make 

%install
install -m 0755 mksquashfs %{TI_tools_path}/bin

%clean
rm -rf *

%files 
%defattr(-,root,root)
/tools/bin/mksquashfs

%changelog
* Tue Jun 25 2003 (Jeff Angielski <jeff@theptrgroup.com>)
- Initial packaging of SquashFS utilities



